cloudstack-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF subversion and git services (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CLOUDSTACK-9334) Support jenv and pyenv to manage Java and Python versions
Date Thu, 12 May 2016 20:51:12 GMT

    [ https://issues.apache.org/jira/browse/CLOUDSTACK-9334?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15282018#comment-15282018
] 

ASF subversion and git services commented on CLOUDSTACK-9334:
-------------------------------------------------------------

Commit 7add16d3d9c06d3a806c165559601056a6269e0e in cloudstack's branch refs/heads/master from
[~jburwell]
[ https://git-wip-us.apache.org/repos/asf?p=cloudstack.git;h=7add16d ]

CLOUDSTACK-9334: Support jenv and pyenv to manage Java and Python versions

  * Adds .java-version to specify Java 1.7 as the JDK version to use
    for CloudStack development.
  * Adds .python-vresion to specify Python 2.7.11 as the Python to
    use for CloudStack development.
  * Adds requirements.txt to specify the default dependencies used
    for CloudStack development.  It does not include Marvin's
    dependencies because it's bundle already defines the dependencies
    which are installed with Marvin.
  * Adds .java-version and .python-version to the RAT excludes
    because neither jenv or pyenv support comments in these files
  * Updates INSTALL.md to explain how to utilize jenv and pyenv for
    CloudStack development


> Support jenv and pyenv to manage Java and Python versions
> ---------------------------------------------------------
>
>                 Key: CLOUDSTACK-9334
>                 URL: https://issues.apache.org/jira/browse/CLOUDSTACK-9334
>             Project: CloudStack
>          Issue Type: Improvement
>      Security Level: Public(Anyone can view this level - this is the default.) 
>          Components: Management Server
>            Reporter: John Burwell
>            Assignee: John Burwell
>            Priority: Minor
>
> Add the configuration necessary to use jenv and pyenv+virtualenv to set the Java and
Python versions to the standard versions used by the project for development



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message